## Running the tests

Before running the tests locally, you need several things:

- All the [environment variables](#environment-variable-recap) set, they can be set in the project using a `.env` file, a working example using mailcrab is included in the project: `.env.example`, to use it rename it to `.env`.

- A mailing server ready. One of the options is [mailcrab](https://github.com/tweedegolf/mailcrab). You can start the container with the following command:

```
    docker run --rm --env ENABLE_TLS_AUTH=true -p 1080:1080 -p 1025:1025 marlonb/mailcrab:latest
```

### Environment variable recap

`DATABASE_URL` The connection string to the database

`FRONTEND_URL` The url of the frontend allowed to make requests, used to configure the CORS policies.

`JWT_PUBLIC_KEY_PATH` The path to the JWT public key

`SMTP_SERVER_URL` The address of the SMTP server that will handle the email delivery. This can be provided by your email service provider or the organization that manages your email server

`SMTP_SERVER_PORT` The port number to connect to the SMTP server

`SMTP_MAILER_EMAIL` The email used to send notification mails

`SMTP_MAILER_PASSWORD` The password of the user used to send notification mails

`CACHE_URL` The redis url used to cache data such as the disk usage of each project/dataset

`TEST_SMTP_EMAIL_RECIPIENT` A recipient email used only in tests that receives the mails sent during the unit tests

`TEST_CACHE_URL` The redis url used to cache data such as the disk usage of each project/dataset, only used in tests **Be careful not to use the same redis instance as `CACHE_URL` because it is reinitialized before each cargo test**. Unlike `DATABASE_URL`, `TEST_CACHE_URL` is necessary because diesel has [begin_test_transaction](https://docs.rs/diesel/latest/diesel/connection/trait.Connection.html#method.begin_test_transaction) that can simulate an action on the database without actually applying it.
