CREATE TYPE project_request_types AS ENUM ('quota', 'duration', 'creation', 'reservation');
CREATE TYPE project_request_status AS ENUM('validated','refused','pending','canceled');
CREATE TABLE project_requests (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    date Timestamp NOT NULL,
    modification_date Timestamp,
    comment VARCHAR,
    project_request_type project_request_types NOT NULL,
    project_request_status project_request_status NOT NULL,
    project_id UUID REFERENCES projects(id),
    posix_user_id INTEGER REFERENCES users(posix_id)
);
