#[allow(dead_code)]
pub mod datasets;
pub mod extension_dates;
pub mod project_requests;
#[allow(dead_code)]
pub mod projects;
pub mod teams;
pub mod users;

#[cfg(test)]
pub mod tests {
    use diesel::{Connection, PgConnection};
    use dotenvy::dotenv;
    use std::env;
    pub fn establish_connection() -> PgConnection {
        dotenv().ok();
        let database_url = env::var("DATABASE_URL").expect("DATABASE_URL must be set");
        let mut connection = PgConnection::establish(&database_url)
            .unwrap_or_else(|_| panic!("Error connecting to {database_url}"));
        connection.begin_test_transaction().unwrap();
        connection
    }
}
