use crate::schema::teams;
use serde::{Deserialize, Serialize};

#[derive(
    Selectable,
    Queryable,
    Identifiable,
    Insertable,
    AsChangeset,
    Deserialize,
    Serialize,
    Eq,
    PartialEq,
    Debug,
    Clone,
)]
#[diesel(primary_key(posix_id))]
#[diesel(check_for_backend(diesel::pg::Pg))]
pub struct Team {
    pub posix_id: i32,
    pub team_name: String,
}
