use crate::schema::users;
use serde::{Deserialize, Serialize};

#[derive(
    Selectable,
    Queryable,
    Identifiable,
    Insertable,
    AsChangeset,
    Eq,
    PartialEq,
    Debug,
    Clone,
    Serialize,
    Deserialize,
)]
#[diesel(primary_key(posix_id))]
#[diesel(check_for_backend(diesel::pg::Pg))]
#[diesel(belongs_to(Team))]
pub struct User {
    pub posix_id: i32,
    pub username: String,
    pub policy_accepted: bool,
    pub team_id: i32,
}

#[derive(AsChangeset, Deserialize)]
#[diesel(table_name = users)]
pub struct UpdateUser {
    pub username: Option<String>,
    pub policy_accepted: Option<bool>,
    pub team_id: Option<i32>,
}
