use serde::{Deserialize, Serialize};

use crate::model::structures::teams::Team;
use crate::model::structures::users::User;

#[derive(Clone, Serialize, Deserialize)]
pub struct UserWithTeam {
    pub posix_team_id: i32,
    pub team_name: String,
    pub posix_user_id: i32,
    pub username: String,
    pub policy_accepted: bool,
}

impl From<UserWithTeam> for User {
    fn from(val: UserWithTeam) -> Self {
        User {
            posix_id: val.posix_user_id,
            username: val.username,
            policy_accepted: val.policy_accepted,
            team_id: val.posix_team_id,
        }
    }
}

impl From<UserWithTeam> for Team {
    fn from(val: UserWithTeam) -> Self {
        Team {
            posix_id: val.posix_team_id,
            team_name: val.team_name,
        }
    }
}
