// @generated automatically by Diesel CLI.

pub mod sql_types {
    #[derive(diesel::query_builder::QueryId, diesel::sql_types::SqlType)]
    #[diesel(postgres_type(name = "project_request_status"))]
    pub struct ProjectRequestStatus;

    #[derive(diesel::query_builder::QueryId, diesel::sql_types::SqlType)]
    #[diesel(postgres_type(name = "project_request_types"))]
    pub struct ProjectRequestTypes;
}

diesel::table! {
    datasets (id) {
        id -> Uuid,
        path -> Varchar,
        project_id -> Nullable<Uuid>,
    }
}

diesel::table! {
    extension_dates (id) {
        id -> Uuid,
        extension_end_date -> Timestamp,
        project_id -> Nullable<Uuid>,
    }
}

diesel::table! {
    use diesel::sql_types::*;
    use super::sql_types::ProjectRequestTypes;
    use super::sql_types::ProjectRequestStatus;

    project_requests (id) {
        id -> Uuid,
        date -> Timestamp,
        modification_date -> Nullable<Timestamp>,
        comment -> Nullable<Varchar>,
        project_request_type -> ProjectRequestTypes,
        project_request_status -> ProjectRequestStatus,
        project_id -> Nullable<Uuid>,
        posix_user_id -> Nullable<Int4>,
    }
}

diesel::table! {
    projects (id) {
        id -> Uuid,
        name -> Varchar,
        path -> Varchar,
        user_id -> Nullable<Int4>,
    }
}

diesel::table! {
    teams (posix_id) {
        posix_id -> Int4,
        team_name -> Varchar,
    }
}

diesel::table! {
    users (posix_id) {
        posix_id -> Int4,
        username -> Varchar,
        policy_accepted -> Bool,
        team_id -> Int4,
    }
}

diesel::joinable!(datasets -> projects (project_id));
diesel::joinable!(extension_dates -> projects (project_id));
diesel::joinable!(project_requests -> projects (project_id));
diesel::joinable!(project_requests -> users (posix_user_id));
diesel::joinable!(projects -> users (user_id));
diesel::joinable!(users -> teams (team_id));

diesel::allow_tables_to_appear_in_same_query!(
    datasets,
    extension_dates,
    project_requests,
    projects,
    teams,
    users,
);
