use dioxus::prelude::*;
use openidconnect::ClientId;

use crate::oidc::DMPClient;

#[derive(Props, Clone, Debug)]
pub struct ClientProps {
    pub client: DMPClient,
    pub client_id: ClientId,
}

impl PartialEq for ClientProps {
    fn eq(&self, other: &Self) -> bool {
        self.client_id == other.client_id
    }
}

impl ClientProps {
    pub fn new(client_id: ClientId, client: DMPClient) -> Self {
        ClientProps { client_id, client }
    }
}
