use openidconnect::AccessToken;
use serde::Serialize;

pub(crate) mod project_requests;
pub(crate) mod user;

pub async fn api_post_request<T: Serialize>(
    access_token: AccessToken,
    backend_url: String,
    endpoint: String,
    body: T,
) -> Result<reqwest::Response, reqwest::Error> {
    let client = reqwest::Client::new();
    let url = format!("{backend_url}{endpoint}");
    log::info! {"{:?}", access_token.secret()};
    client
        .post(url)
        .json(&body)
        .bearer_auth(access_token.secret())
        .send()
        .await
}
