use dioxus::prelude::*;
use dioxus_router::components::Outlet;
use fermi::use_atom_ref;

use crate::{oidc::AuthTokenState, router::Route, FERMI_AUTH_TOKEN};

#[component]
pub fn AuthenticationWrapper(cx: Scope) -> Element {
    let fermi_auth_token = use_atom_ref(cx, &FERMI_AUTH_TOKEN);
    let fermi_auth_token_read: Option<AuthTokenState> = fermi_auth_token.read().clone();
    render! {
        match fermi_auth_token_read {
        Some(fermi_auth_token_read) => match fermi_auth_token_read.access_token {
            Some(access_token) => {
                use_shared_state_provider(cx, || access_token);
                rsx!{Outlet::<Route>{}}
            },
            None => {
                rsx! { div { "You need to be authenticated to access this page" } }
            }
        },
        None => {
            rsx! { div { "Page loading, please wait" } }
        }
        }
    }
}
