use dioxus::prelude::*;

#[component]
pub fn AcceptDataManagementPolicy(cx: Scope) -> Element {
    let is_dmp_checked = use_state(cx, || false);
    cx.render(rsx! {
        div {
            DataManagementPolicy {}
            form {
                div {
                    input {
                        r#type: "checkbox",
                        name: "dmp_checked",
                        oninput: move |event| is_dmp_checked.set(event.value().parse().unwrap())
                    }
                    label { r#for: "dmp_checked", "J'ai lu et j'accepte la politique de gestion des données" }
                }
                // TODO: Call the API and hide this part if the policy has already been accepted
                input { r#type: "submit", value: "Valider", disabled: !is_dmp_checked.get(), onsubmit: move |_event| {} }
            }
        }
    })
}

#[component]
pub fn DataManagementPolicy(cx: Scope) -> Element {
    cx.render(rsx! {
        div { {include_str!("../../data_management_policy.txt")} }
    })
}
