use dioxus::prelude::*;

//TODO: Get the list of the projects from the API
async fn get_projects() -> Vec<String> {
    vec![
        String::from("Hello"),
        String::from("New"),
        String::from("World"),
        String::from("How"),
        String::from("Are"),
        String::from("You?"),
    ]
}

pub fn QuotaExtension(cx: Scope) -> Element {
    let projects = use_state(cx, Vec::new);
    let current_quota = use_state(cx, || 5);
    let load_projects = move |_| {
        cx.spawn({
            let projects = projects.to_owned();
            async move {
                let project_future = get_projects().await;
                projects.set(project_future);
            }
        })
    };
    cx.render(rsx! {
        form {
            display: "flex",
            flex_direction: "column",
            align_items: "center",
            onmounted: load_projects,
            onsubmit: move |event| { log::info!("Submitted:{:?}", event.values()) },
            select {
                for project in projects.get() {
                    option { "{project}" }
                }
            }
            div {
                label { r#for: "reason", "Raison de la demande: " }
                textarea { name: "reason", required: "true" }
            }
            div { "Quota actuel: {current_quota}" }
            div {
                label { r#for: "new_quota", "Nouveau quota demandé: " }
                input { r#type: "number", name: "new_quota", required: "true" }
            }
            input { r#type: "submit", value: "Valider", "Valider" }
        }
    })
}
